%global modname uvloop

Name:           python-%{modname}
Version:        0.21.0
Release:        %mkrel 2
Summary:        Ultra fast implementation of asyncio event loop on top of libuv

License:        MIT or ASL 2.0
URL:            https://github.com/MagicStack/uvloop
Source0:        %{url}/archive/v%{version}/%{modname}-%{version}.tar.gz
Group:          Development/Python
BuildRequires:  gcc
BuildRequires:  libuv-devel
BuildRequires:  python3-devel

%description
uvloop is a fast, drop-in replacement of the built-in asyncio event loop.
uvloop is implemented in Cython and uses libuv under the hood.

%package -n python3-%{modname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{modname}}

%description -n python3-%{modname}
uvloop is a fast, drop-in replacement of the built-in asyncio event loop.
uvloop is implemented in Cython and uses libuv under the hood.

%prep
%autosetup -p1 -n %{modname}-%{version}
# always use cython to generate code
sed -i -e "/self.cython_always/s/False/True/" setup.py
# use system libuv
sed -i -e "/self.use_system_libuv/s/False/True/" setup.py
# To be sure, no 3rd-party stuff
rm -vrf vendor/

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files uvloop

%check
%tox

%files -n python3-%{modname} -f %{pyproject_files}
%license LICENSE-APACHE LICENSE-MIT
%doc README.rst


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.21.0-2.mga10
+ Revision: 2239478
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 daviddavid <daviddavid> 0.21.0-1.mga10
+ Revision: 2156615
- new version: 0.21.0
+ wally <wally>
- rebuild for python3.13

* Tue Jul 02 2024 papoteur <papoteur> 0.19.0-1.mga10
+ Revision: 2079000
- new version 0.19.0

* Tue Mar 05 2024 papoteur <papoteur> 0.18.0-2.mga10
+ Revision: 2047678
- don't remove files, this break pyproject_save_files
- rebuild for python 3.12
- new version 0.18.0

* Sun Mar 27 2022 umeabot <umeabot> 0.16.0-2.mga9
+ Revision: 1829310
- Mageia 9 Mass Rebuild

* Fri Feb 11 2022 wally <wally> 0.16.0-1.mga9
+ Revision: 1772919
- new version 0.16.0
- rebuild for python3.10

* Mon Apr 05 2021 joequant <joequant> 0.14.0-1.mga9
+ Revision: 1713408
- imported package python-uvloop

